Subject: Re: sky2 hangs

From: Stephen Hemminger <[email-masked]>
Date: Thu, 1 Feb 2007 14:58:15 -0800

I can reproduce the problem now (on mac mini). Interestingly it seems to whack
the whole ethernet switch when it happens.
> 
> - a previously suggested fix - passing idle=poll to the kernel - did not
> work for me at the end

It is not an MSI or IRQ problem. It is a phy problem (see below).

> - the locks I have happen very periodically (somewhere around every 22-28
> hours), as if the chip would die after a given amount of data transferred;
> I know this looks stupid but I thought I might mention it
> - I have about 1Mbit/s of (incoming) traffic on this interface: with
> short, very high peaks, as there is a MySQL server on the other end,
> receiving about 100 queries per second
> - unloading the sky2 module totally freezes the computer for me

If you do:
	ethtool -r eth0
it cause a PHY reset (renegotiation) and clears the problem.

-- 
Stephen Hemminger <[email-masked]>